[FFmpeg-devel] how do you like your patches...?

Chris Stones chris.stones
Wed Dec 10 23:26:24 CET 2008

I have found a few minor bugs while trying to compile minimal versions of
For example..

building a library that will only decode theora...
./configure --disable-decoders --enable-decoder=theora { etc etc etc}

will eventually crap out during compile with a linker error because the
theora decoder uses dome of the vp3 decoder functions.

from memory, its somthing like..

     etc etc etc

What would be the correct fix...

1) crap out during the configure script, asking the user to re-configure
with vp3 support ?
2) compile only the vp3 code that theora decoder requires, but not the full
decoder ?
3) theora implies vp3, add vp3 to enabled list in config script unless user
directly specifies --disable-vp3, in which case, crap out.

Probably a stupid question, but im new here, go easy.

More information about the ffmpeg-devel mailing list